# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

require 'rspec/its'
require 'anvil'

begin
  require 'codeclimate-test-reporter'
  CodeClimate::TestReporter.start
rescue LoadError
  puts "Couldn't load the codeclimate test reporter"
end

Dir["#{File.dirname(__FILE__)}/support/dummy_tasks/**/*.rb"].each { |f| require f }
Dir["#{File.dirname(__FILE__)}/support/shared/**/*.rb"].each { |f| require f }

RSpec.configure do |config|
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'
  config.before(:suite) { Anvil.module_eval { @logger = Logger.new(nil) } }
  config.before do
    FileUtils.rm_rf ConfigMock.base_path
    FileUtils.mkdir_p ConfigMock.base_path
    FileUtils.cp ConfigMock.config_file,
                 ConfigMock.base_path
  end

  config.after { FileUtils.rm_rf ConfigMock.base_path }
end
